Subject: Re: bug#67829: qtwebengine new failure on i686

From: Efraim Flashner <[email-masked]>
Date: Sat, 16 Dec 2023 19:34:37 +0200

On Fri, Dec 15, 2023 at 06:04:30AM +0000, John Kehayias wrote:
> Hello Maxim,
> 
> On Thu, Dec 14, 2023 at 03:33 PM, Maxim Cournoyer wrote:
> 
> > Hello,
> >
> > qtwebengine was marked as newly failing by Cuirass on Berlin, as a
> 
> This "newly failing" is the same false alarm as we saw recently. I
> think Cuirass gets confused on same package with different versions as
> the only one I see on i686-linux building in the past year is v5.
> 
> > result to the xorg-server update in
> > <https://git.savannah.gnu.org/cgit/guix.git/commit/?id=8083c7abbf3a346162fcc4b8d5aa50555c0f3179>.
> >
> > v8_use_external_startup_data=false
> > CMake Error at /tmp/guix-build-qtwebengine-6.5.2.drv-0/qtwebengine-everywhere-src-6.5.2/cmake/Gn.cmake:75 (message):
> >
> >
> >   -- GN FAILED
> >
> >   ERROR at //BUILD.gn:1652:1: Assertion failed.
> >
> >   assert(
> >
> >   ^-----
> >
> >   'target_cpu=x86' is not supported for 'target_os=linux'.  Consider omitting
> >   'target_cpu' (default) or using 'target_cpu=x64' instead.
> >
> >   See //BUILD.gn:1653:5:
> >
> >       is_valid_x86_target || target_cpu != "x86" || v8_target_cpu == "arm",
> >       ^-------------------------------------------------------------------
> >
> >   This is where it was set.
> >
> >   1
> >
> > ninja: build stopped: subcommand failed.
> >
> > I don't see how the two would be related, but I've CC'd John in case
> > they'd have some hunch.
> >
> > Perhaps some non-deterministic issue with the 'gn' build system?  It had
> > succeeded here: <https://ci.guix.gnu.org/build/2803939/details> about a
> > week ago.
> 
> As for the actual error, no idea (I saw the same thing when I noticed
> the "new failure"). But I'm cc'ing Efraim as having figured out the
> fix for the other package (sorry don't remember which, qt something)
> on i686 recently...

Upstream chromium removed support for i686 so that's why it's failing.

https://sources.debian.org/src/qt6-webengine/6.6.1%2Bdfsg-1/debian/patches/support-i386.patch/
https://sources.debian.org/src/qt6-webengine/6.6.1%2Bdfsg-1/debian/patches/disable_32bit_node_check.patch/
https://sources.debian.org/src/qt6-webengine/6.6.1%2Bdfsg-1/debian/patches/compressing_files.patch/

There's two or three patches we can add to re-enable builds on i686, or
we can mark it as unsupported.  I don't have a strong opinion either
way.

It also looks like debian doesn't support very many architectures with
qtwebengine@6

https://buildd.debian.org/status/logs.php?pkg=qt6-webengine

They also have limited architectures for qtwebengine@5

https://buildd.debian.org/status/logs.php?pkg=qtwebengine-opensource-src

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted